Bug 434803 - HP LaserJet P2015: OpenOffice.org printout messed up. Toggling driver resolves.
HP LaserJet P2015: OpenOffice.org printout messed up. Toggling driver resolves.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-02-25 11:23 EST by Horst H. von Brand
Modified: 2010-11-08 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 10:22:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A .doc file that makes oowriter print out nonsense (37.00 KB, application/x-forcedownload)
2008-03-03 08:40 EST, Horst H. von Brand
no flags Details
The resulting cupsprint file (261.26 KB, application/postscript)
2008-03-03 08:42 EST, Horst H. von Brand
no flags Details
The oowriter output (369 bytes, application/octet-stream)
2008-03-03 08:42 EST, Horst H. von Brand
no flags Details
The exact command used to send cupsprint.ps to the printer (337 bytes, application/octet-stream)
2008-03-03 08:46 EST, Horst H. von Brand
no flags Details
Another file that prints out nonsense (7.21 KB, application/vnd.oasis.opendocument.text)
2008-03-04 10:04 EST, Horst H. von Brand
no flags Details
HP_LaserJet_P2015.ppd, modified as per user reports (64.31 KB, application/octet-stream)
2008-03-05 05:32 EST, Tim Waugh
no flags Details
Output from oowriter (probably unrelated) (1.61 KB, text/plain)
2008-03-05 09:57 EST, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-02-25 11:23:26 EST
Description of problem:
Printing a spreadsheet from OOo calc gives me several pages with horizontal
greyish lines that look like smeared text from afar.


Version-Release number of selected component (if applicable):
openoffice.org-calc-2.4.0-7.3.fc9.i386
cups-1.3.6-2.fc9.i386
cups-1.3.6-2.fc9.x86_64 (on machine with printer)
Printer HP_LaserJet_P2015, connected via USB

How reproducible:
Always

Steps to Reproduce:
1. Print a spreadsheet from oocalc
2.
3.
  
Actual results:
Mess printed out, two pages 1/3 full of greyish lines

Expected results:
One page, spreadsheet


Additional info:
A workaround is to export to PDF and print that
Comment 1 Caolan McNamara 2008-02-25 11:43:27 EST
"and others" ? i.e. other OOo components or something else ?

I printed from calc with cups-1.3.6-1.fc9.i386 from
openoffice.org-calc-2.4.0-7.33 and all was well, upgraded to
cups-1.3.6-2.fc9.i386 and there was no difference.

Can you print to file as postscript and try and print that from evince to see if
that also makes a difference ?
Comment 2 Horst H. von Brand 2008-02-25 15:57:54 EST
Other OOo components do the same.

Printing to .ps and then sending it off from evince-2.21.91-1.fc9.i386 printf OK.

Where do I get 2.4.0-7.33? Next version?
Comment 3 Caolan McNamara 2008-02-26 03:59:06 EST
just a typo, I meant openoffice.org-calc-2.4.0-7.3, i.e. the version you have. 

I may have to make a spin that has a debugging option to dump precisely the ps
sent to the printer and the cups options passed to cups to debug this further.
Comment 4 Horst H. von Brand 2008-02-26 08:55:57 EST
Wouldn't it be easier to build a mock cups that just intercepts all that?
Perhaps some cups debugging option gives that data...
Comment 5 Caolan McNamara 2008-02-29 14:31:38 EST
There's probably some way to achieve it with cups, but nevertheless, in
2.4.0-8.1 when it arrives at your yum update can you try

> export SAL_DEBUG_CUPS=1 
> oowriter 

and print something that causes the trouble for you. A .ps called ~/cupsprint.ps
should be created and there should be some spew on stdout as to the options
passed to cups. And then attach that .ps here, and the output from OOo.

Optionally trying to print the cupsprint.ps with evince, and/or manually on the
command line with lpr and -o with the same cups options as spewed out by OOo
might also help to verify my hope that this can be reproduced with just the .ps
without using OOo and that the problem lies elsewhere. 
Comment 6 Horst H. von Brand 2008-03-03 08:40:48 EST
Created attachment 296590 [details]
A .doc file that makes oowriter print out nonsense

This file, when printed out by oowriter, gives a printout that looks like the
same text printed repeatedly (some 6 times across). The printer complains (I
think it is asking for confirmation to print a file that is too wide for the
paper).
Comment 7 Horst H. von Brand 2008-03-03 08:42:01 EST
Created attachment 296591 [details]
The resulting cupsprint file
Comment 8 Horst H. von Brand 2008-03-03 08:42:35 EST
Created attachment 296592 [details]
The oowriter output
Comment 9 Horst H. von Brand 2008-03-03 08:46:08 EST
Created attachment 296593 [details]
The exact command used to send cupsprint.ps to the printer

The result looks like the .ps file, but is missing the heading. The first line
that shows up (at the very top of the page) starts "Por instrucciones..." If
printed without any options, the printout is the same.
Comment 10 Horst H. von Brand 2008-03-03 08:52:09 EST
Comment on attachment 296593 [details]
The exact command used to send cupsprint.ps to the printer

I tried with another, simpler file (no graphics, just two lines of text in
.odt), printout also messed up but no output and no cupsprint.ps file, sorry
(?)
Comment 11 Horst H. von Brand 2008-03-03 09:08:58 EST
Re comment 9: I tried to print the file from evince-2.21.91-1.fc9.i386 too
(there this file looks OK), the result is a page with two bands as in the
original problem description (the printer complains again), and then the page
without head as from printing via lpr.

cups-1.3.6-5.fc9 on this machine (i686, where I ran the commands) and on the
machine attached to the printer (x86_64).
Comment 12 Caolan McNamara 2008-03-03 09:17:10 EST
Well I have absolutely no problems like #6, of course in #7 the paper size is
"Legal" which is taller and wider than A4, so if I try and to stuff it onto a
sheet of A4 paper then I also can see the top and right edges getting clipped
off the page, but that's to be expected I guess. What paper size is in the printer ?

When you say you "the printer complains" do you mean some message displayed on
the printer itself ? I have heard that some printers will attempt to themselves
scale an unavailable paper-size to the paper-size that they have in their tray,
and have heard that they can then run out of memory doing so with big images.
And while the image in the header is visually small its "original size" is very
tall, that's perhaps a possibility.

What happens if in writer you use format->page to say e.g. A4 and then try to
print ? And/or delete the image in the header ?

caolanm->twaugh: seen anything like this before ?
Comment 13 Horst H. von Brand 2008-03-04 07:42:18 EST
The paper in the printer is letter. And the paper size of the file is probably
"oficio" (1" taller than legal).

The printer has a series of LEDs, one ("Attention") blinks. No other indications.

I see the same trouble with a page written here, only text. I'll try the above
series of steps again later.
Comment 14 Horst H. von Brand 2008-03-04 10:04:21 EST
Created attachment 296746 [details]
Another file that prints out nonsense

This file is in A4, 2 lines of text. Prints as two smears from side to side on
the page.

Sorry, no output from the instructions of comment 5 (?)
Comment 15 Caolan McNamara 2008-03-04 10:22:16 EST
I see in system-config-printer that there are two options for the "LaserJet P2015"
"Postscript" recommended, and "hpijs".

Does it make any difference at all to change that option ?
Comment 16 Horst H. von Brand 2008-03-04 12:15:23 EST
I tried with a homebrew odt file. oowriter sets the size by default to A4,
setting that to letter (what is in te printer) goes OK. Also, exporting to PDF
(in A4 size) and printing that (through lpr or evince) goes OK. Mismatch between
the printer paper and the size from OOo gives all this mess?
Comment 17 Horst H. von Brand 2008-03-04 12:34:14 EST
Re comment 15: The printer is set to use Postscript.

I changed the driver to Foomatic/hpijs, and tried again to print the testfile
from 16 in A4 (not letter!), and the printout looks fine. The original file that
I sent as an example prints out OK too.

Sorry for your wasted time. And thank you so much!
Comment 18 Caolan McNamara 2008-03-04 13:05:11 EST
I don't think it's wasted time, so I think that the summary here is that
changing to the hpijs ppd instead of the default driver for the HP LaserJet
P2015 resolved a problem with printing non-letter sized pages to letter paper.

https://bugs.launchpad.net/ubuntu/+source/foomatic-db/+bug/99316 might be relevant.

I don't *think* there's an OOo bug here, perhaps something to investigate in the
foomatic .ppd as the ubuntu bugtracker seems to indicate
Comment 19 Tim Waugh 2008-03-05 05:32:19 EST
Created attachment 296868 [details]
HP_LaserJet_P2015.ppd, modified as per user reports

Here is the PPD file, modified as described in the foomatic user report. 
Please create a queue and set this as the queue's PPD:
System->Administration->Printing, then click New Printer, then after choosing
the connection select 'Provide PPD file'.

This should decide whether the paper size issue is causing the problem you are
seeing.
Comment 20 Horst H. von Brand 2008-03-05 09:50:22 EST
The printout is OK, but the "Document Print Status" applet here (I print over
the net) shows an error:

Printer'HP_LaserJet_P2015_Series': 'e'.
Comment 21 Horst H. von Brand 2008-03-05 09:57:53 EST
Created attachment 296883 [details]
Output from oowriter (probably unrelated)

This is the output from oowriter (I didn't set any environment variables this
time!).
Comment 22 Caolan McNamara 2008-03-10 09:45:36 EDT
post modification of the ppd "The printout is OK", though + document print
status "shows an error".
Comment 23 Tim Waugh 2008-03-10 09:57:22 EDT
That error ('e') is bogus, and should be fixed in the latest
system-config-printer package, 0.7.82.1-2.fc9.

Anyway, problem is definitely in foomatic.
Comment 24 Bug Zapper 2008-05-14 01:37:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2009-06-09 19:38:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2009-07-14 14:24:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 27 Tim Waugh 2009-07-15 11:43:44 EDT
Still looks broken in Fedora 11.
Comment 28 Tim Waugh 2009-07-15 11:45:33 EDT
Can anyone confirm or deny?
Comment 29 cornel panceac 2010-01-11 14:03:47 EST
ok, i've seen similar behaviour with ooo in f11 and i see it now in f12 too. first time i print one page text document from oowriter is ok, next times is broken. unexpectedly, this is true even if i close the source computer and restart it. it seems that ooo sends some weird chars to the printer which lets the printer in an odd state. trying to print the exported pdf works fine all the time.

$ rpm -q openoffice.org-core
openoffice.org-core-3.1.1-19.14.fc12.i686

$ rpm -q foomatic
foomatic-4.0.3-5.fc12.i686

the printer is 

brother hl-5250 dn .

the driver is 

postscript
Comment 30 Tim Waugh 2010-01-12 05:20:20 EST
Thanks, changing version to 12.
Comment 31 Bug Zapper 2010-11-04 08:01:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Horst H. von Brand 2010-11-08 06:06:01 EST
I haven't got this printer anymore, so I can't comment on this bug.
Comment 33 Tim Waugh 2010-11-08 10:22:00 EST
OK, sorry it didn't get resolved in time.

Note You need to log in before you can comment on or make changes to this bug.